View Issue Details

IDProjectCategoryView StatusLast Update
0026686mantisbtbugtrackerpublic2020-03-15 15:23
Reporterbluescreenterror Assigned Todregad  
PrioritynormalSeverityminorReproducibilityalways
Status closedResolutionfixed 
Target Version2.24.0Fixed in Version2.24.0 
Summary0026686: Make category on bug_report_page a required field when $g_allow_no_category = OFF;
Description

When $g_allow_no_category is set to off and no category is choosen, mantis throws an error and all data from the page is lost.

Is it possible to set the required property to the category field too or select a global category as default ?

Steps To Reproduce

Just try to report an Issue here and dont set a category.

TagsNo tags attached.

Relationships

related to 0022310 closedcommunity Use HTML5 "required" attribute for required form fields 
related to 0026687 closeddregad Required fields when reporting an issue, should also be when updating it 

Activities

dregad

dregad

2020-02-10 10:33

developer   ~0063605

PR https://github.com/mantisbt/mantisbt/pull/1623

bluescreenterror

bluescreenterror

2020-02-10 11:06

reporter   ~0063608

Thanks

Related Changesets

MantisBT: master e1b5180d

2020-02-10 09:44:38

dregad

Details Diff
Make Category selection list required

If $g_allow_no_category is OFF, then use the HTML5 required attribute

Fixes 0026686
Affected Issues
0026686
mod - bug_report_page.php Diff File
mod - core/print_api.php Diff File

MantisBT: master df0dc345

2020-02-10 10:04:31

dregad

Details Diff
Category required in bug_actiongroup_page.php

Following-up on making the field required when reporting a new issue
(see issue 0026686), we can leverage the new behavior of the "(select)"
OPTION by making the SELECT required to force user to select a value
when performing a batch update of the category.
Affected Issues
0026686
mod - bug_actiongroup_page.php Diff File

Issue History

Date Modified Username Field Change
2020-02-10 07:07 bluescreenterror New Issue
2020-02-10 10:14 dregad Assigned To => dregad
2020-02-10 10:14 dregad Status new => assigned
2020-02-10 10:16 dregad Relationship added related to 0022310
2020-02-10 10:28 dregad Relationship added related to 0026687
2020-02-10 10:33 dregad Note Added: 0063605
2020-02-10 10:33 dregad Target Version => 2.24.0
2020-02-10 11:06 bluescreenterror Note Added: 0063608
2020-02-17 04:36 dregad Changeset attached => MantisBT master e1b5180d
2020-02-17 04:36 dregad Changeset attached => MantisBT master df0dc345
2020-02-17 04:36 dregad Status assigned => resolved
2020-02-17 04:36 dregad Resolution open => fixed
2020-02-17 04:36 dregad Fixed in Version => 2.24.0
2020-03-15 15:23 vboctor Status resolved => closed